%define module netlib

Name:          python-%module
Version:       0.9.2
Release:       %mkrel 4
BuildRequires: python-devel
BuildRequires: python-setuptools
Group:         Development/Python
License:       MIT
URL:           https://pypi.python.org/pypi/netlib
Summary:       Portable netlib
Source:        https://pypi.python.org/packages/source/n/%{module}/%{module}-%{version}.tar.gz
BuildArch:     noarch

%description
Netlib is a collection of network utility classes, used by the pathod and 
mitmproxy projects. It differs from other projects in some fundamental 
respects, because both pathod and mitmproxy often need to violate standards. 

This means that protocols are implemented as small, well-contained and flexible 
functions, and are designed to allow misbehaviour when needed.

%prep
%setup -q -n %module-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

%files
%doc README
%{python_sitelib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-4.mga4
+ Revision: 543866
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-3.mga4
+ Revision: 498963
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 30 2013 philippem <philippem> 0.9.2-2.mga4
+ Revision: 473262
- noarch python module in python_sitelib

* Fri Aug 30 2013 dlucio <dlucio> 0.9.2-1.mga4
+ Revision: 473236
- noarch
- imported package python-netlib

